## botan1.10 1.10.5

=== checks/nist_tests/Makefile ===

CC=g++
FLAGS=-g -Os -W -Wall -ansi
LDFLAGS=-L../.. -lbotan-1.9
CFLAGS=-I../../build/include

x509test: x509test.cpp
	$(CC) $(FLAGS) $(CFLAGS) x509test.cpp $(LDFLAGS) -o x509test

clean:
	rm -f x509test

## botan1.10 1.10~1.9.18

=== debian/changelog ===
botan1.10 (1.10~1.9.18-1) unstable; urgency=low

  * Imported Upstream version 1.10~1.9.18
    + Remove all local patches; merged upstream
  * Update Vcs-* links
  * Update *.install to reflect the versioning changes in upstream
    + botan-config is now botan-config-<major>.<minor>
    + headers are installed to /usr/include/botan-<major>.<minor>/botan
    + pkg-config is botan-<major>.<minor>.pc

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Jun 2011 16:23:16 +0200

botan1.10 (1.10~1.9.17-1) unstable; urgency=low

  * Fork botan1.8 package to botan1.10
  * Imported Upstream version 1.9.17
  * Fix spelling error recieved vs received in library
  * Debian packaging:
    + Bump standards version to 3.9.2
    + Adjust patches to the new release
    + Enable full build including the checks on all platforms
    + Update install and docs files to the new release
    + Rename library to libbotan-1.9.so to match SONAME
    + Exclude duplicate license.txt file from package

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 May 2011 12:12:27 +0200

botan1.8 (1.8.11-1) unstable; urgency=low

  * Imported Upstream version 1.8.11

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 Dec 2010 11:56:33 +0100

botan1.8 (1.8.9-2) unstable; urgency=low

  * Add sh4 support (Closes: #594159)
  * Bump standards version to 3.9.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Aug 2010 09:30:33 +0200

botan1.8 (1.8.9-1) unstable; urgency=low

  * New upstream version
  * Add git-buildpackage config
  * Remove gmp_fix.patch; merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 Aug 2010 16:59:58 +0200

botan1.8 (1.8.8-5) unstable; urgency=low

  * Add debian/watch file
  * Disable tests on sparc as well

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Apr 2010 22:53:09 +0200

botan1.8 (1.8.8-4) unstable; urgency=low

  * Take ownership of the package; update maintainer

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Apr 2010 12:15:57 +0200

botan1.8 (1.8.8-3) unstable; urgency=low

  * Skip tests, where we know they are broken

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Mar 2010 19:48:02 +0100

botan1.8 (1.8.8-2) unstable; urgency=low

  * Convert to 3.0 (quilt) format
  * Add upstream patch to fix gmp memory allocator segfault in softhsm

 -- Ondřej Surý <ondrej@debian.org>  Sat, 23 Jan 2010 09:29:23 +0100

botan1.8 (1.8.8-1) unstable; urgency=low

  * New Upstream Version 1.8.8
  * New Maintainer (Closes: #543832)
  * Enable hardening-wrapper

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Jan 2010 10:22:34 +0100

botan1.8 (1.8.6-2) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 06:59:15 +0200

botan1.8 (1.8.6-1) unstable; urgency=low

  * Merging upstream version 1.8.6.
  * Synchronising license text in copyright file with upstream.
  * Removing ftbfs-mips.patch, was part of the new upstream release.
  * Updating package to standards version 3.8.3.

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Aug 2009 16:11:46 +0200

botan1.8 (1.8.5-5) unstable; urgency=low

  * Adding patch from upstream to fix FTBFS on mips and mipsel.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Aug 2009 09:06:50 +0200

botan1.8 (1.8.5-4) unstable; urgency=low

  * Setting --cpu configure flag by using deb host gnu cpu instead
    (Closes: #540495).

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Aug 2009 14:14:09 +0200

botan1.8 (1.8.5-3) unstable; urgency=low

  * Setting --cpu configure flag by using deb build arch (Closes:
    #540013).

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Aug 2009 10:33:58 +0200

botan1.8 (1.8.5-2) unstable; urgency=low

  * Only manually setting cpu flag on i386 (Closes: #539860).

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Aug 2009 10:47:03 +0200

botan1.8 (1.8.5-1) unstable; urgency=low

  * Merging upstream version 1.8.5.
  * Adding old changelog entries for separately uploaded botan packages
    in the past.
  * Using correct rfc-2822 date formats in changelog.
  * Wrapping build depends.
  * Adding misc depends.
  * Renaming local manpages directory to common name.
  * Minimizing rules file.
  * Doing some minor cosmetical updates in the manpage.
  * Updating copyright file to reflect changes of upstream version
    1.8.0.
  * Using new configure.py instread of configure.pl, updating necessary
    things to cope with that.
  * Updating.
  * Tidy debhelper install files.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Aug 2009 00:47:32 +0200

botan1.8 (1.8.4-2) unstable; urgency=low

  * Adding conflicts/replaces to libbotan1.8 (Closes: #537844).

 -- Daniel Baumann <daniel@debian.org>  Tue, 21 Jul 2009 13:42:48 +0200

botan1.8 (1.8.4-1) unstable; urgency=low

  * Merging upstream version 1.8.4.
  * Updating rules file to current state of the art.
  * Using quilt rather than dpatch.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 20:48:50 +0200

botan1.8 (1.8.3-1) unstable; urgency=low

  * Merging upstream version 1.8.3.
  * Renaming source package to botan1.8 for consistency.
  * Updating standards to 3.8.2.
  * Renaming libbotan1.8 to libbotan-1.8.2 to match SONAME (Closes:
    #527461).
  * Updating section of the debug package.
  * Updating year in copyright file.
  * Removing botan1.8-dbg lintian overrides, not required anymore.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jul 2009 11:31:24 +0200

botan-devel (1.8.2-1) unstable; urgency=low

  * Merging upstream version 1.8.2.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 May 2009 10:16:00 +0200

botan-devel (1.8.1-1) unstable; urgency=low

  * Merging upstream version 1.8.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2009 01:50:00 +0100

botan-devel (1.8.0-1) unstable; urgency=low

  * Merging upstream version 1.8.0.
  * Replacing 1.7 with 1.8 in all debhelper files.
  * Correcting name of botan-config manpage.



=== debian/control ===
Source: botan1.10
Section: libs
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~), libbz2-dev, libgmp3-dev, libssl-dev, python,
 zlib1g-dev, hardening-wrapper
Standards-Version: 3.9.2
Homepage: http://botan.randombit.net/
Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/botan1.10.git
Vcs-Git: git://git.debian.org/pkg-nlnetlabs/botan1.10.git

Package: botan1.10-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, libbotan-1.9 (= ${binary:Version}),
 libbotan1.10-dev (= ${binary:Version})
Description: multiplatform crypto library (debug)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the debugging symbols.

Package: libbotan-1.9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: multiplatform crypto library
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.

Package: libbotan1.10-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libbotan-1.9 (= ${binary:Version})
Conflicts: libbotan1.6-dev, libbotan1.8-dev
Replaces: libbotan1.6-dev, libbotan1.8-dev
Description: multiplatform crypto library (development)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the development files.

## botan1.10 1.10.0

=== debian/changelog ===
botan1.10 (1.10.0-3) unstable; urgency=low

  * Don't canonicalize s390x to s390/s390 (Closes: #639564)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 01 Sep 2011 09:45:13 +0200

botan1.10 (1.10.0-2) unstable; urgency=low

  * Rename manpage to botan-config-1.10 (Closes: #639264)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Aug 2011 15:41:02 +0200

botan1.10 (1.10.0-1) unstable; urgency=low

  * Imported Upstream version 1.10.0
  * Don't Conflict with libbotan1.8-dev, it's no longer needed
  * Rename libbotan-1.9 to libbotan-1.10-0 to match its SONAME

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 Jun 2011 08:42:11 +0200

## botan1.10 1.10.1

=== debian/changelog ===
botan1.10 (1.10.1-1~bpo60+1) squeeze-backports; urgency=low

  * Backport for Debian 6.0

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Apr 2012 11:45:36 +0200

botan1.10 (1.10.1-1) unstable; urgency=low

  * Imported Upstream version 1.10.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2012 20:03:56 +0100

## botan1.10 1.10.3

=== debian/changelog ===
botan1.10 (1.10.3-1) unstable; urgency=high

  * Imported Upstream version 1.10.3
   + A change in 1.10.2 accidentally broke ABI compatibility with 1.10.1
     and earlier versions, causing programs compiled against 1.10.1 to
     crash if linked with 1.10.2 at runtime. (Closes: #681066)
   + Recent versions of OpenSSL include extra information in ECC private
     keys, the presence of which caused an exception when such a key was
     loaded by botan. The decoding of ECC private keys has been changed to
     ignore these fields if they are set.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Jul 2012 21:03:03 +0200

botan1.10 (1.10.2-1) unstable; urgency=low

  * Imported Upstream version 1.10.2
  * Remove s390x patch as it was merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 11:08:11 +0200

## botan1.10 1.10.5

=== debian/changelog ===
botan1.10 (1.10.5-1+deb7u1ubuntu0.14.04.1) trusty-security; urgency=medium

  * Security merge from Debian.

 -- Steve Beattie <sbeattie@ubuntu.com>  Sat, 20 Aug 2016 16:56:27 -0700

botan1.10 (1.10.5-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * CVE-2014-9742: Fix insufficient randomness in Miller-Rabin primality check.
  * CVE-2015-5726: Fix crash in BER decoder.
  * CVE-2015-5727: Fix excess memory allocation in BER decoder.
  * CVE-2015-7827: Fix PKCS #1 v1.5 decoding was not constant time.
  * CVE-2016-2194: Fix infinite loop in modulur square root algorithm.
  * CVE-2016-2195: Fix Heap overflow on invalid ECC point.
  * CVE-2016-2849: Use constant time modular inverse algorithm to avoid
    possible side channel attack against ECDSA.

 -- Markus Koschany <apo@debian.org>  Sat, 30 Apr 2016 11:38:27 +0200

botan1.10 (1.10.5-1ubuntu1) trusty; urgency=medium

  * ppc64el-support.patch: Add powerpc64le support to the upstream build
    system and update ppc64/altivec support for power7+ and power8 CPUs.
  * arm64-support.patch: Add arm64 support to the upstream build system.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 15 Mar 2014 10:26:49 -0600

botan1.10 (1.10.5-1) unstable; urgency=low

  * Imported Upstream version 1.10.4
   + Avoid a conditional operation in the power mod implementations on if
     a nibble of the exponent was zero or not. This may help protect
     against certain forms of side channel attacks.
   + The SRP6 code was checking for invalid values as specified in RFC
     5054, specifically values equal to zero mod p. However SRP would
     accept negative A/B values, or ones larger than p, neither of which
     should occur in a normal run of the protocol. These values are now
     rejected. Credits to Timothy Prepscius for pointing out these values
     are not normally used and probably signal something fishy.
   + The return value of version_string is now a compile time constant
     string, so version information can be more easily extracted from
     binaries.
  * Imported Upstream version 1.10.5
   + A potential crash in the AES-NI implementation of the AES-192 key
     schedule (caused by misaligned loads) has been fixed.
   + A previously conditional operation in Montgomery multiplication and
     squaring is now always performed, removing a possible timing channel.
   + Use correct flags for creating a shared library on OS X under Clang.
   + Fix a compile time incompatibility with Visual C++ 2012.

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Mar 2013 09:24:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: botan1.10
 Section: libs
 Priority: optional
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~), libbz2-dev, libgmp3-dev, libssl-dev, python,
  zlib1g-dev, hardening-wrapper
@@ -15,7 +16,7 @@
 Priority: extra
 Architecture: any
 Depends:
- ${misc:Depends}, libbotan-1.9 (= ${binary:Version}),
+ ${misc:Depends}, libbotan-1.10-0 (= ${binary:Version}),
  libbotan1.10-dev (= ${binary:Version})
 Description: multiplatform crypto library (debug)
  Botan is a C++ library which provides support for many common cryptographic
@@ -25,7 +26,7 @@
  .
  This package contains the debugging symbols.
 
-Package: libbotan-1.9
+Package: libbotan-1.10-0
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -38,9 +39,9 @@
 Package: libbotan1.10-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libbotan-1.9 (= ${binary:Version})
-Conflicts: libbotan1.6-dev, libbotan1.8-dev
-Replaces: libbotan1.6-dev, libbotan1.8-dev
+Depends: ${misc:Depends}, libbotan-1.10-0 (= ${binary:Version})
+Conflicts: libbotan1.6-dev
+Replaces: libbotan1.6-dev
 Description: multiplatform crypto library (development)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and

=== debian/watch ===
version=3
http://files.randombit.net/botan/v1.8/Botan-(.*)\.tgz

## botan1.10 1.10.8

=== debian/changelog ===
botan1.10 (1.10.8-2+deb8u2) jessie-security; urgency=medium

  * CVE-2017-2801

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 12 Aug 2017 03:43:19 +0200

botan1.10 (1.10.8-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload.
  * CVE-2015-5726: Fix crash in BER decoder.
  * CVE-2015-5727: Fix excess memory allocation in BER decoder.
  * CVE-2015-7827: Fix PKCS #1 v1.5 decoding was not constant time.
  * CVE-2016-2194: Fix infinite loop in modulur square root algorithm.
  * CVE-2016-2195: Fix Heap overflow on invalid ECC point.
  * CVE-2016-2849: Use constant time modular inverse algorithm to avoid
    possible side channel attack against ECDSA.

 -- Markus Koschany <apo@debian.org>  Fri, 29 Apr 2016 17:49:39 +0200

botan1.10 (1.10.8-2) unstable; urgency=medium

  * Add ppc64el and arm64 support (Closes: #741691)
  * Add support for or1k (Closes: #749267)
  * Use correct Vcs-* links

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 10:49:33 +0200

botan1.10 (1.10.8-1) unstable; urgency=medium

  * New upstream version 1.10.8
  * Use debhelper 9 (dpkg-buildflags) instead of hardening-wrapper
  * Update watch file to look for v.1.10.x
  * Update patches for 1.10.8 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Jun 2014 10:09:50 +0200

botan1.10 (1.10.5-2) unstable; urgency=low

  * Add support MIPS64(el) and MIPSN32(el) (Closes: #726128)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Oct 2013 11:34:13 +0200

=== debian/control ===
Source: botan1.10
Section: libs
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
	       libbz2-dev,
	       libgmp3-dev,
	       libssl-dev,
	       python,
	       zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://botan.randombit.net/
Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/botan1.10.git
Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/botan1.10.git

Package: botan1.10-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
	 libbotan-1.10-0 (= ${binary:Version}),
	 libbotan1.10-dev (= ${binary:Version})
Description: multiplatform crypto library (debug)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the debugging symbols.

Package: libbotan-1.10-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: multiplatform crypto library
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.

Package: libbotan1.10-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
	 libbotan-1.10-0 (= ${binary:Version})
Conflicts: libbotan1.6-dev
Replaces: libbotan1.6-dev
Description: multiplatform crypto library (development)
 Botan is a C++ library which provides support for many common cryptographic
 operations, including encryption, authentication, and X.509v3 certificates and
 CRLs. A wide variety of algorithms is supported, including RSA, DSA, DES, AES,
 MD5, and SHA-1.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
CONFIGURE_FLAGS = --cpu=$(DEB_HOST_GNU_CPU)

# SKIP_TESTS_ON_CPU="arm ia64 mips mipsel sparc sh4"

# Because we used --cpu=generic before, 64bit arches did not use 64bit BigInt.
# Using --cpu=$arch would enable it, and break ABI.
# CONFIGURE_FLAGS += --disable-modules=mp_asm64,mp_amd64

# Debian hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -f Makefile check libbotan-*.so libbotan.a
	rm -rf build

override_dh_auto_configure:
	./configure.py --prefix=/usr --cc=gcc --os=linux --with-bzip2 --with-gnump --with-openssl --with-zlib $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build -- all
override_dh_auto_test:
ifeq (,$(findstring $(DEB_HOST_GNU_CPU),$(SKIP_TESTS_ON_CPU)))
	dh_auto_test -- check
	LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:$(CURDIR)" ./check --validate
endif

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/tmp/usr
	# Removing useless files
	rm -rf debian/tmp/usr/share/doc/botan-*

override_dh_installchangelogs:
	dh_installchangelogs doc/log.txt

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=botan1.10-dbg

override_dh_installdocs:
	dh_installdocs -Xlicense.txt

=== debian/watch ===
version=3
http://files.randombit.net/botan/v1.10/Botan-(.*)\.tbz

## botan1.10 1.10.10

=== debian/changelog ===
botan1.10 (1.10.10-6) unstable; urgency=medium

  * Use pkgkde-symbolshelper to maintain a single symbols file (that needs
    to be updated after, so we don't fail at all)
  * Install docs for libbotan-1.10-1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Aug 2015 18:14:44 +0200

botan1.10 (1.10.10-5) unstable; urgency=medium

  * Add starting symbols file for all supported architectures and lower
    the checking level of dpkg-gensymbols to 1 to allow first run to
    succeed

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Aug 2015 15:30:29 +0200

botan1.10 (1.10.10-4) unstable; urgency=medium

  * Update amd64 symbols to match the current version

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Aug 2015 14:57:48 +0200

botan1.10 (1.10.10-3) unstable; urgency=medium

  * Make the symbols tied to the architecture, so we don't have to have
    hundreds of arch= tags in symbols file (Closes: #795888)
  * Add i386 symbols file for libbotan-1.10-1 package in addition to amd64

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Aug 2015 13:24:37 +0200

botan1.10 (1.10.10-2) unstable; urgency=medium

  * Update symbols with any-amd64 for for amd64 specific symbols

 -- Ondřej Surý <ondrej@debian.org>  Mon, 17 Aug 2015 17:52:18 +0200

botan1.10 (1.10.10-1) unstable; urgency=medium

  * Imported Upstream version 1.10.10
  * Add symbols file for libbotan-1.10-0v5 library
  * Rebuild with gcc-5 and libstdc++6 (Closes: #790987)
  * Add DPKG_GENSYMBOLS_CHECK_LEVEL=4 to d/rules
  * Upstream bumped SOVERSION to 1, so rename the shared library package
    to libbotan-1.10-1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 17 Aug 2015 11:46:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 # Debian hardening
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+
+export DPKG_GENSYMBOLS_CHECK_LEVEL=0
 
 %:
 	dh ${@}

## botan1.10 1.10.12

=== debian/changelog ===
botan1.10 (1.10.12-1) unstable; urgency=medium

  * Update a final symbols file prepared using pkgkde-symbolshelper
    batchpatch
  * Imported Upstream version 1.10.11
  * Imported Upstream version 1.10.12
  * Relax symbols check (for now)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Feb 2016 12:02:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Ondřej Surý <ondrej@debian.org>
 Build-Depends: debhelper (>= 9),
-	       libbz2-dev,
-	       libgmp3-dev,
-	       libssl-dev,
-	       python,
-	       zlib1g-dev
-Standards-Version: 3.9.5
+               libbz2-dev,
+               libgmp3-dev,
+               libssl-dev,
+               python,
+               zlib1g-dev
+Standards-Version: 3.9.6
 Homepage: http://botan.randombit.net/
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/botan1.10.git
 Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/botan1.10.git
@@ -17,9 +17,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
-	 libbotan-1.10-0 (= ${binary:Version}),
-	 libbotan1.10-dev (= ${binary:Version})
+Depends: libbotan-1.10-1 (= ${binary:Version}),
+         libbotan1.10-dev (= ${binary:Version}),
+         ${misc:Depends}
 Description: multiplatform crypto library (debug)
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -28,11 +28,11 @@
  .
  This package contains the debugging symbols.
 
-Package: libbotan-1.10-0
+Package: libbotan-1.10-1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
-	 ${shlibs:Depends}
+         ${shlibs:Depends}
 Description: multiplatform crypto library
  Botan is a C++ library which provides support for many common cryptographic
  operations, including encryption, authentication, and X.509v3 certificates and
@@ -42,8 +42,8 @@
 Package: libbotan1.10-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
-	 libbotan-1.10-0 (= ${binary:Version})
+Depends: libbotan-1.10-1 (= ${binary:Version}),
+         ${misc:Depends}
 Conflicts: libbotan1.6-dev
 Replaces: libbotan1.6-dev
 Description: multiplatform crypto library (development)

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # Debian hardening
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/default.mk
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=0

## botan1.10 1.10.15

=== debian/changelog ===
botan1.10 (1.10.15-1) unstable; urgency=medium

  * New upstream version 1.10.15

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jan 2017 09:47:48 +0100

botan1.10 (1.10.14-1) unstable; urgency=medium

  * Imported Upstream version 1.10.14
  * Rebase patches using gbp pq on top of 1.10.14 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Nov 2016 15:10:39 +0100

botan1.10 (1.10.13-1) unstable; urgency=medium

  * Imported Upstream version 1.10.13
  * Disable OpenSSL module to mitigate OpenSSL 1.1.0 transition
    (Closes: #828252)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 21:00:24 +0100

botan1.10 (1.10.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correctly disable test suite when building with nocheck (Closes: #813633)
  * Add missing dependencies to libbotan1.10-dev (Closes: #816535)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 14 Mar 2016 20:48:29 +0000

## botan1.10 1.10.16

=== debian/changelog ===
botan1.10 (1.10.16-1) unstable; urgency=high

  * Update d/watch to match new upstream download directory
  * New upstream version 1.10.16
    + [CVE-2017-2801]: Incorrect comparison in X.509 DN strings

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 May 2017 13:45:02 +0200

## botan1.10 1.10.17

=== debian/changelog ===
botan1.10 (1.10.17-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 1.10.17 (Closes: #877436)
    + [CVE-2017-14737]: Side channel affecting modular exponentiation
    + Upstream has imported Debian architecture support patches, removed
      them.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 09 Oct 2017 09:19:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 9),
                libbz2-dev,
                libgmp3-dev,
-               libssl-dev,
                python,
                zlib1g-dev
 Standards-Version: 3.9.6
@@ -43,6 +42,10 @@
 Section: libdevel
 Architecture: any
 Depends: libbotan-1.10-1 (= ${binary:Version}),
+         libbz2-dev,
+         libgmp3-dev,
+         libssl-dev,
+         zlib1g-dev,
          ${misc:Depends}
 Conflicts: libbotan1.6-dev
 Replaces: libbotan1.6-dev

=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,17 @@
 	rm -rf build
 
 override_dh_auto_configure:
-	./configure.py --prefix=/usr --cc=gcc --os=linux --with-bzip2 --with-gnump --with-openssl --with-zlib $(CONFIGURE_FLAGS)
+	./configure.py --prefix=/usr --cc=gcc --os=linux --with-bzip2 --with-gnump --without-openssl --with-zlib $(CONFIGURE_FLAGS)
 
 override_dh_auto_build:
 	dh_auto_build -- all
+
 override_dh_auto_test:
 ifeq (,$(findstring $(DEB_HOST_GNU_CPU),$(SKIP_TESTS_ON_CPU)))
 	dh_auto_test -- check
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:$(CURDIR)" ./check --validate
+endif
 endif
 
 override_dh_auto_install:

=== debian/watch ===
version=3
https://botan.randombit.net/releases/Botan-(1\.10\.\d+).tgz
